<!--
Copyright (c) 2019, The Linux Foundation. All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are
met:
  * Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer.
  * Redistributions in binary form must reproduce the above
    copyright notice, this list of conditions and the following
    disclaimer in the documentation and/or other materials provided
    with the distribution.
  * Neither the name of The Linux Foundation nor the names of its
    contributors may be used to endorse or promote products derived
    from this software without specific prior written permission.
THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESS OR IMPLIED
WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT
ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS
BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

-->
<node name="com.qualcomm.qti.adk.audiomanager"
    xmlns="http://adkcodegen/dbus_interface"
    xmlns:adk="http://adkcodegen/dbus_interface/adk_types"
    namespace="PresetReverb" bustype="session">

    <object path="/com/qualcomm/qti/adk/audiomanager/effects/'uuid'">
        <interface name="com.qualcomm.qti.adk.audiomanager.presetreverb">
            <method name="Enable"
                description="Set status of the preset reverb effect">
                <arg name="Enable" type="s" direction="in"/>
            </method>
            <property name="Enabled" type="b" access="readwrite"
                description="Status of presetReverb effect on the device">
            </property>
            <property name="CurrentPreset" type="s" access="readwrite"
                description="Current active preset of preset reverb effect">
            </property>
            <property name="Presets" type="as" access="read"
                description="List of the presets supported by preset reverb effect">
            </property>
        </interface>
    </object>
</node>
